Summary:	A C library implenting the Jacobi-Davidson method
Name:		jdbsym-parallel
Version:	0.14
Release:	5
License:	Distributable
Group:		Libraries
Source:		http://people.web.psi.ch/geus/software/jdbsym-0.14.tar.bz2
Source1:	sample.c
Source2:	sample-mpi.c
Source3:	pjdbsym.h
Patch:		fortran.patch
Patch1:		parallel.patch
Patch2:		parallel-assert.patch
Patch3:		parallel-memleaks.patch
Packager:	zlb@lsec.cc.ac.cn
URL:		http://people.web.psi.ch/geus/software.html
Provides:	jdbsym jdbsym-parallel
Obsoletes:	jdbsym
BuildRoot:	/var/tmp/%{name}-%{version}-root
Prefix:		/usr

%description
   JDBSYM is a C library containing an implementation of the
   Jacobi-Davidson method optimized for symmetric eigenvalue
   problems. It solves eigenproblems of the form A*x = lambda*x and
   A*x = lambda*B*x with or without preconditioning, where A is
   symmetric and B is symmetric positive definite. The implementation
   supports blocking.

   This parallel version was originally developed by Dai Xiao-ying
   (daixy@lsec.cc.ac.cn) at the State Key Laboratory of Scientific
   and Engineering Computing, Chinese Academy of Sciences.

%prep
%setup -q -c jdbsym-parallel
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
#cp -a %{SOURCE1} %{SOURCE2} .
cp -a ${RPM_SOURCE_DIR}/sample*.c .
cp -a ${RPM_SOURCE_DIR}/pjdbsym.h src/.

%build
env CC="gcc -fPIC" FC="gfortran -fpic" FFLAGS="-O2" \
	gmake CFLAGS="-O2 -g -Wall -I../include -I../src -I../jdqrgen -I.."

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_includedir},%{_libdir}}
mkdir tmp
cd tmp
ar x ../libjdbsym.a
gcc -shared -o $RPM_BUILD_ROOT/%{_libdir}/libjdbsym.so *.o
cd ..
rm -rf tmp
cp -a src/jdbsym.h $RPM_BUILD_ROOT/%{_includedir}/.

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README DOCUMENTATION sample.c sample-mpi.c
%{_includedir}/jdbsym.h
%{_libdir}/libjdbsym.so

%changelog
* Sun May  3 2009 Zhang Linbo <zlb@lsec.cc.ac.cn>
- Release 0.14-5: build shared library
* Sat Mar 31 2007 Zhang Linbo <zlb@lsec.cc.ac.cn>
- Release 0.14-4: fix some memleaks in LinSolver.c
* Wed Mar  7 2007 Zhang Linbo <zlb@lsec.cc.ac.cn>
- Release 0.14-3: fix some assertions (use global n)
* Fri Dec  8 2006 Zhang Linbo <zlb@lsec.cc.ac.cn>
- Release 0.14-2: only rank 0 prints messages when clvl == 1
